using System.Net;

namespace ApiBloqueioIp.Services;

public class BloquearIPService : IBloquearIPService
{
    private readonly List<string> _IpsBloqueados;
    public BloquearIPService(IConfiguration configuration)
    {
        var IpsBloqueados = configuration.GetValue<string>("IPsBloqueados");
        _IpsBloqueados = IpsBloqueados.Split(',').ToList();
    }
    public bool EstaBloqueado(IPAddress ipAddress) => _IpsBloqueados.Contains(ipAddress.ToString());
}
